Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.xml.util
Class DomException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.xml.util.DomException

public class DomException
extends ApplicationException

Exception class that encapsulates `DomHelper` exceptions

See Also:
  Serialized Form

Constructor Summary
`DomException(java.lang.String message)` Creates an instance of `DomException`
`DomException(java.lang.String message, java.lang.Throwable cause)` Creates a `DomException` using a given message and the cause

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomException

    public DomException(java.lang.String message)

  Creates an instance of `DomException`

  Parameters:
    `message` - The exception message

### DomException

    public DomException(java.lang.String message,
                        java.lang.Throwable cause)

  Creates a `DomException` using a given message and the cause

  Parameters:
    `message` - The exception message
    `cause` - The `Throwable` that caused this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved